[deeplearning] python+tensorflow install issues




python3.6 버전을 설치 후 Jupyter notebook 을 설치하려고 할 때, 실행하면 위와 같은 문제가 발생한다. 
이에 대해, ananconda 및 python 등의 버전을 변경하면서 여러번 설치 및 삭제 등등의 방법을 해보았지만, 역시 구글링을 통해 해결하였다.

#문제점

ModuleNotFoundError: No module named 'markupsafe._compat'

위와 같이 검색하면 됨. 

#해결방법

Here is a simple solution. Since it is a decode error, it can be solved by changing the console's coding to utf-8. Just run

$chcp 65001
$pip install markupsafe
결국 콘솔에서 encoding 문제로 인해 jupyter 가 실행이 되지 않는 것이다. 
시작 > cmd > 콘솔 실행

이후 위와 같은 명령어를 실행 후 jupyter notebook을 실행하면 제대로 실행된다. 






이 글을 공유하기

댓글(0)

Designed by JB FACTORY